# TODO:
# - http://linux.kompiliert.net/contrib/DeepBlue.skin-recordinginfo.diff
# - where has DeepBlue gone?
# - manage symlinks with alternatives?

%global vardir    %(vdr-config --vardir    2>/dev/null || echo ERROR)
%global datadir   %(vdr-config --datadir   2>/dev/null || echo ERROR)
%global vdr_group %(vdr-config --group     2>/dev/null || echo ERROR)
%global vdr_user  %(vdr-config --user      2>/dev/null || echo ERROR)

Name:           vdr-skins
Version:        20110221
Release:        1%{?dist}
Summary:        Collection of OSD skins for VDR

Group:          Applications/Multimedia
License:        GPL+

# Non-linked tarballs prepared with source99

# http://home.arcor.de/bjoern.sturzrehm/vdr/
Source0:        http://home.arcor.de/bjoern.sturzrehm/vdr/SilverGreen-0.1.7.tar.bz2
# http://skins.vdr-developer.org/
Source1:        izegrey16-1.0-20050304-nologos.tar.xz
# http://home.pages.at/brougs78/
# http://ventoso.org/luca/vdr/
Source2:        vdrskin-enigma-0.3a-nologos.tar.xz
# http://vdr.pfroen.de/
# http://www.netholic.com/viewtopic.php?t=1464
Source3:        DeepBlue-0.1.4-nologos.tar.xz
# http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/
Source4:        http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/files/vdrskin-enElchi-0.7.2.tgz
# http://www.fdm-ware.de/vdrskin/
# http://linux.kompiliert.net/contrib/
Source5:        Aluminium-1.0-demo-nologos.tar.xz
# http://linux.kompiliert.net/contrib/
Source6:        http://linux.kompiliert.net/contrib/EgalSimple-1.0-demo.tar.bz2
# http://www.egal-vdr.de/skins/
Source7:        Skin-EgalsTry-1.1.0-nologos.tar.xz
# http://www.vdrskins.org/vdrskins/thumbnails.php?album=58
Source8:        http://web.archive.org/web/20060322201106/http://www.magoa.net/sttng-blue.theme
# http://www.egal-vdr.de/skins/
Source9:        http://www.egal-vdr.de/skins/vdr-text2skin-EgalT2-0.3.3.tar.gz
# http://anthra.justlinux.de/common/overview.html
Source10:       http://justlinux.de/vdr/anthra_SD-0.2.6.tgz
Source99:       %{name}-prepare-tarballs.sh

Patch0:         %{name}-aluminium-i18n.patch
Patch1:         %{name}-egalsimple-i18n.patch
Patch2:         %{name}-izegrey16-i18n.patch
Patch3:         http://toms-cafe.de/vdr/download/deepblue-0.1.4-locale.diff
Patch4:         http://toms-cafe.de/vdr/download/enigma-0.3a-locale.diff
Patch5:         http://toms-cafe.de/vdr/download/enelchi-0.7.2-locale.diff
Patch6:         izegrey16-1.0-20050304-fonts.patch
Patch7:         enigma-0.3a-fonts.patch
Patch8:         Aluminium-1.0-demo-fonts.patch
# Sent upstream 2010-10-20
Patch9:         %{name}-egalt2-finnish.patch
# Sent upstream 2011-02-19
Patch10:        %{name}-anthra_SD-make.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  vdr-devel
BuildRequires:  gettext
BuildRequires:  hardlink
Requires:       vdr-text2skin >= 1.3
Requires:       vdr >= 1.6.0
# vdrsymbol-fonts for anthra_SD and Enigma, and "Sans Serif" in others
Requires:       vdrsymbol-fonts

%description
This package contains a collection of skins for VDR's on-screen display.


%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a9 -a10
find . -type d -exec chmod 755 {} ';'
find . -type f -exec chmod 644 {} ';'
find . -type d -name CVS* | xargs rm -r
sed -i -e 's/\r//g' SilverGreen/{HISTORY,README,SilverGreen.trans}
for f in DeepBlue/HISTORY enElchi/HISTORY Enigma/TODO \
    SilverGreen/{HISTORY,README*}; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done
%patch0
%patch1
%patch2
cd DeepBlue
%patch3 -p2
cd ..
cd Enigma
%patch4 -p2
%patch7 -p1
cd ..
cd enElchi
%patch5 -p2
cd ..
cd izegrey16
%patch6 -p0
cd ..
%patch8 -p0
%patch9 -p0
%patch10 -p0

SKINS=$(find * -maxdepth 0 -type d)

mv DeepBlue/COPYING .
for s in $SKINS ; do
    for f in COPYING HISTORY README README.DE TODO ; do
       [ -f $s/$f ] && mv $s/$f $f.$s
    done
done

find . -type f -name "*.theme" -exec mv {} . ';'
mv SilverGreen-Default.theme SilverGreen-default.theme
rm SilverGreen-ThemeName.theme
for s in $SKINS ; do
    [ -f $s-default.theme ] || touch $s-default.theme
done

ln -sf mp3.png Aluminium/replay/mp3oss.png
rm -r Aluminium/{Aluminium.skin.*,MERKEN,fonts}

rm -r anthra_SD/{anthra_SD.skin,locale,themes}

cd DeepBlue
mv images images-normal
ln -s images-normal images
mv logos logos-normal
ln -s logos-normal logos
cd ..

rm -r EgalSimple/{EgalSimple.skin.*,themes}

rm -r EgalsTry/{theme,tools}

rm -r EgalT2/{EgalT2.skin,locale,skin.bup,themes}

cd Enigma
rm -r fonts themes *.ttf
find . -type f -iname thumbs.db | xargs rm
mv icons icons-dxr3
ln -s icons-normal icons
cd ..

rm -rf enElchi/themes

# *.trans not needed with text2skin >= 1.2 and vdr >= 1.6.0
find . -name "*.trans" -delete


%build
for skin in anthra_SD DeepBlue EgalT2 enElchi Enigma ; do
    make -C $skin %{?_smp_mflags} HDSKIN=0
done


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{vardir}/themes
install -pm 644 *.theme %{SOURCE8} $RPM_BUILD_ROOT%{vardir}/themes/
echo "%%defattr(-,%{vdr_user},%{vdr_group},-)" > %{name}.themes
find $RPM_BUILD_ROOT%{vardir}/themes -name "*.theme" -size 0 \
    -printf "%%%%ghost %%p\n" >> %{name}.themes
find $RPM_BUILD_ROOT%{vardir}/themes -name "*.theme" ! -size 0 \
    -print >> %{name}.themes
%{__perl} -pi -e "s|$RPM_BUILD_ROOT||" %{name}.themes

install -dm 755 $RPM_BUILD_ROOT%{datadir}/text2skin
cp -pR $(find * -maxdepth 0 -type d) $RPM_BUILD_ROOT%{datadir}/text2skin/
rm -r $RPM_BUILD_ROOT%{datadir}/text2skin/*/{Makefile,locale,po,*.template}
rm -r $RPM_BUILD_ROOT%{datadir}/text2skin/anthra_SD/{Make.config,xml}

for skin in anthra_SD DeepBlue EgalT2 enElchi Enigma ; do
    make -C $skin install-i18n DESTDIR=$RPM_BUILD_ROOT LOCDIR=%{_datadir}/locale
done
%find_lang %{name} --all-name
# Note: .lang before .themes due to defattr in .themes
cat %{name}.lang %{name}.themes > %{name}.files

# Save a bit of space
%{_sbindir}/hardlink -cv $RPM_BUILD_ROOT%{_datadir}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
# Remove old enElchi/logos symlink so it can be overwritten with a dir
if [ $1 -gt 1 -a -L %{datadir}/text2skin/enElchi/logos ] ; then
    rm -f %{datadir}/text2skin/enElchi/logos || :
fi

%triggerin -- vdr-dxr3
for l in DeepBlue/{images,logos} Enigma/icons ; do
    [ -L %{datadir}/text2skin/$l -o ! -e %{datadir}/text2skin/$l ] && \
    rm -f %{datadir}/text2skin/$l && \
    ln -s $(basename $l)-dxr3 %{datadir}/text2skin/$l || :
done

%triggerun -- vdr-dxr3
if [ $2 -eq 0 ] ; then
    for l in DeepBlue/{images,logos} Enigma/icons ; do
        [ -L %{datadir}/text2skin/$l -o ! -e %{datadir}/text2skin/$l ] && \
        rm -f %{datadir}/text2skin/$l && \
        ln -s $(basename $l)-normal %{datadir}/text2skin/$l || :
    done
fi


%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYING* HISTORY.* README.*

%{datadir}/text2skin/Aluminium/

%{datadir}/text2skin/anthra_SD/

%dir %{datadir}/text2skin/DeepBlue/
%{datadir}/text2skin/DeepBlue/DeepBlue.*
%{datadir}/text2skin/DeepBlue/images-*
%verify(not link) %{datadir}/text2skin/DeepBlue/images
%{datadir}/text2skin/DeepBlue/logos-*
%verify(not link) %{datadir}/text2skin/DeepBlue/logos

%{datadir}/text2skin/EgalSimple/

%{datadir}/text2skin/EgalsTry/

%{datadir}/text2skin/EgalT2/

%{datadir}/text2skin/enElchi/

%dir %{datadir}/text2skin/Enigma/
%{datadir}/text2skin/Enigma/Enigma*
%{datadir}/text2skin/Enigma/hqlogos/
%{datadir}/text2skin/Enigma/icons-*/
%verify(not link) %{datadir}/text2skin/Enigma/icons
%{datadir}/text2skin/Enigma/pics/
%{datadir}/text2skin/Enigma/symbols/

%{datadir}/text2skin/izegrey16/

%{datadir}/text2skin/SilverGreen/


%changelog
* Mon Feb 21 2011 Ville Skyttä <ville.skytta@iki.fi> - 20110221-1
- Update anthra_SD to 0.2.6; vdrsymbol-fonts is now required.
- Patch Enigma to use vdrsymbol-fonts.
- Drop dependency on dejavu-sans-*fonts.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 24 2010 Ville Skyttä <ville.skytta@iki.fi> - 20101024-1
- Update anthra_SD to 0.2.4.

* Wed Oct 20 2010 Ville Skyttä <ville.skytta@iki.fi> - 20101020-1
- Add anthra_SD 0.2.3 and EgalT2 0.3.3+Finnish patch.

* Tue Sep  1 2009 Ville Skyttä <ville.skytta@iki.fi> - 20090901-1
- Adapt to recent 1.2+ text2skin versions; patch Aluminium, enigma and izegrey
  font handling (no longer filename based font paths, phew).
- Add EgalsTry 1.1.0.
- Apply Thomas Günther's locale patches for DeepBlue, enElchi, and Enigma.
- Drop unused SilverGreen themes, install default properly.
- Recompress cleaned up tarballs with xz.
- Hardlink identical files.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20081124-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Ville Skyttä <ville.skytta@iki.fi> - 20081124-5
- More deja vu with dejavu-fonts changes (#480477).
- Use %%global instead of %%define.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20081124-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 20081124-3
- Use full DejaVu fonts instead of LGC (#477478).

* Thu Dec 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 20081124-2
- Use DejaVu fonts for Aluminium and Enigma (#477478).

* Mon Nov 24 2008 Ville Skyttä <ville.skytta@iki.fi> - 20081124-1
- Update enElchi to 0.7.2.
- Catch up again with latest dejavu-fonts changes.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 20061119-6
- Don't install translations if built for VDR 1.6.0 due to text2skin issues.
- Re-add disttag.

* Mon Dec 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 20061119-5
- Adjust font paths for dejavu-lgc-fonts 2.22+ (#388891).  Deja vu, indeed.

* Sun Nov 18 2007 Ville Skyttä <ville.skytta@iki.fi> - 20061119-4
- Adjust font paths for dejavu-lgc-fonts 2.21+ (#388891).

* Fri Aug 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 20061119-3
- Use DejaVu LGC fonts instead of Bitstream Vera.
- License: GPL+

* Mon Apr 23 2007 Ville Skyttä <ville.skytta@iki.fi> - 20061119-2
- Relocate themes to /var/lib/vdr/themes, drop disttag (#216355).
- Drop file based dependency on /usr/share/vdr/text2skin.
- Fix sttng-blue source URL.

* Sun Nov 19 2006 Ville Skyttä <ville.skytta@iki.fi> - 20061119-1
- Install skins to /usr/share/vdr/text2skin.
- Don't ship channel logos.

* Sun Sep 24 2006 Ville Skyttä <ville.skytta@iki.fi> - 20060924-1
- Add DXR3 compatible image set for DeepBlue from cccache.

* Sun May 21 2006 Ville Skyttä <ville.skytta@iki.fi> - 20060311-2
- Fix some enElchi logos.
